;;; reproduce-15344.el

;;; Version: 1
;;; Homepage: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15344

;;; Commentary:

;; Usage:
;; $ src/emacs -Q -l reproduce-15344.el -f setup
;; now type ‘M-c’ to trigger the crash

;;; Code:

(fset 'crash (vector
              ;; insert-register
              ?\C-x ?r ?i ?i
              ;; previous-line
              ?\C-p
              ;; set-mark-command
              ?\C-  ;;;; space
              ;; end-of-line
              ?\C-e
              ;; kill-ring-save
              ?\M-w
              ;; end-of-buffer
              ?\M->
              ;; yank
              ?\C-y
              ))

(global-set-key "\M-c" 'crash)

(defun setup ()
  (erase-buffer)
  (c-mode)
  (insert "int test;\n")
  (set-register ?i "#define "))

;;; Local variables:
;;; backup-inhibited: t
;;; End:
;;; reproduce-15344.el ends here
